Sets the custom fields for the task template.

POSThttps://api.awork.com/api/v1/tasktemplates/{taskTemplateId}/setcustomfields
POST https://api.awork.com/api/v1/tasktemplates/{taskTemplateId}/setcustomfields

Sets the custom fields for the task template. The required properties depend on the type of the custom field. Only task templates which are linked to a project template may have custom fields set.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

taskTemplateIdstringRequired
format: uuid

The id of the task template to set custom fields for.

Request body Required

The model containing the details for setting the custom fields for a task template.

application/json

customFieldDefinitionIdstringRequired
format: uuid

The custom field definition id.

userIdValuestring or nullOptional
format: uuid

The user id. The user id can be set for custom field type 'user'.

clientIdValuestring or nullOptional
format: uuid

The client id. The client id can be set for custom field type 'client'.

numberValuenumber or nullOptional
format: double

The number value. The number value can be set for custom field type 'number'.

selectionOptionIdValuestring or nullOptional
format: uuid

The selection option id value. The id can be set for custom field types 'select' and 'coloredSelect'.

textValuestring or nullOptional
maxLength: 750

The text value. The text value can be set for custom field types 'text' and 'link'.

dateValuestring or nullOptional
format: date-time

The date value. The date value can be set for custom field types 'date' and 'datetime'.

booleanValueboolean or nullOptional

The boolean value. The boolean value can be set for custom field type 'boolean'.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation